Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.irisa.genouest.logol.dispatcher
Class SubSequence

    java.lang.Object
      org.irisa.genouest.logol.dispatcher.SubSequence

     class SubSequence

extends java.lang.Object

Field Summary
`int` | `length`
`int` | `maxMatchStart`
`java.lang.String` | `name`
`int` | `offset`
`int` | `sequenceID`
`int` | `start`
`int` | `wholeLength`

Constructor Summary
`SubSequence()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### wholeLength

    public int wholeLength

### offset

    public int offset

### sequenceID

    public int sequenceID

### start

    public int start

### length

    public int length

### maxMatchStart

    public int maxMatchStart

Constructor Detail

### SubSequence

    public SubSequence()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD